

mkdir config
sudo mount -t nfs 10.0.40.8:/data/config config


bash -x config/bin/wg


export PROFILE=ubuntu
sudo maas apikey --username=$PROFILE | head -1 >/tmp/$$
maas login $PROFILE http://localhost:5240/MAAS/api/2.0 - < /tmp/$$
rm /tmp/$$


sudo apt install -y git curl wget
git clone https://github.com/mc-b/lernmaas
cd lernmaas/

export PROFILE=ubuntu
sudo maas apikey --username=$PROFILE | head -1 >/tmp/$$
maas login $PROFILE http://localhost:5240/MAAS/api/2.0 - < /tmp/$$
rm /tmp/$$

bash helper/createvms config.yaml m122 3 test 9



#!/bin/sh

ubuntu_version='22.04'
key_url="https://download.opensuse.org/repositories/devel:/kubic:/libcontainers:/unstable/xUbuntu_${ubuntu_version}/Release.key"
sources_url="https://download.opensuse.org/repositories/devel:/kubic:/libcontainers:/unstable/xUbuntu_${ubuntu_version}"

echo "deb $sources_url/ /" | tee /etc/apt/sources.list.d/devel:kubic:libcontainers:unstable.list
curl -fsSL $key_url | gpg --dearmor | tee /etc/apt/trusted.gpg.d/devel_kubic_libcontainers_unstable.gpg > /dev/null
apt update
apt install podman



podman system connection add M169 --identity c:/Users/mbern/.ssh/id_mc-b.ch ssh://ubuntu@10.6.38.20/run/user/1000/podman/podman.sock